package com.jproxy.samples.corba.test;

import org.omg.CORBA.*;
import org.omg.CosNaming.*;
import org.omg.CosNaming.NamingContextPackage.*;


import java.util.*;
import javax.naming.*;

/*
The samples shows how to communicate with CORBA.
The sample DOES NOT utilize JProxy. It is a pure CORBA.
The porpose of the sample is to test communication with CORBA server.
JProxy-CORBA client sampe is here: com.jproxy.samples.corba.test.TestClient.java

Here is a tutorial explaining how to write a CORBA server and client:
http://java.sun.com/docs/books/tutorial/idl/hello/index.html
*/
public class TestCORBAClient
{
	public static void main(String args[])
	{
		try{
			// Create and initialize the ORB
			ORB orb = ORB.init(args, null);

			// Get the root naming context
			org.omg.CORBA.Object objRef = orb.resolve_initial_references("NameService");
			NamingContext context = NamingContextHelper.narrow(objRef);

			// Resolve the object reference in naming
			NameComponent nc = new NameComponent("test", "");
			NameComponent path[] = {nc};
			Test test = TestHelper.narrow(context.resolve(path));

			System.out.println(
				"\r\n**********************************"+
				"\r\nCORBA Test CLIENT"+
				"\r\nServer Time: "+(new Date(test.getServerTime()))+
				"\r\n**********************************\r\n");
		}
		catch(Exception e) {
			System.out.println("ERROR : " + e);
			e.printStackTrace(System.out);
		}
	}
}
